Package fr.gouv.vitam.common.database.parser.request.multiple

# Class UpdateParserMultiple

java.lang.Object
fr.gouv.vitam.common.database.parser.request.AbstractParser<RequestMultiple>
fr.gouv.vitam.common.database.parser.request.multiple.RequestParserMultiple
fr.gouv.vitam.common.database.parser.request.multiple.UpdateParserMultiple

public class UpdateParserMultiple extends RequestParserMultiple
Update Parser: { $roots: root, $query : query, $filter : filter, $action : action }

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.database.parser.request.multiple.RequestParserMultiple

  `lastDepth`

  ### Fields inherited from class fr.gouv.vitam.common.database.parser.request.AbstractParser

  `adapter, hasFullTextCurrentQuery, hasFullTextQuery, request, rootNode, sourceRequest`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateParserMultiple()`
  Empty constructor
  `UpdateParserMultiple(VarNameAdapter adapter)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `actionParse(com.fasterxml.jackson.databind.JsonNode rootNode)`
  {$"action" : args, ...}
  `protected Action`
  `analyseOneAction(String refCommand, com.fasterxml.jackson.databind.JsonNode command)`
  `protected RequestMultiple`
  `getNewRequest()`
  `UpdateMultiQuery`
  `getRequest()`
  `protected static final BuilderToken.UPDATEACTION`
  `getUpdateActionId(String actionroot)`
  Compute the QUERY from command
  `void`
  `parse(com.fasterxml.jackson.databind.JsonNode request)`
  `protected void`
  `setregexParse(com.fasterxml.jackson.databind.JsonNode rootNode)`
  `protected void`
  `thresholdParse(com.fasterxml.jackson.databind.JsonNode rootNode)`
  {$"threshold" : arg}
  `String`
  `toString()`

  ### Methods inherited from class fr.gouv.vitam.common.database.parser.request.multiple.RequestParserMultiple

  `analyzeRootQuery, filterParse, getFinalScrollId, getFinalScrollTimeout, getLastDepth, hintCache, hintNoTimeout, model, parseJson, parseQueryOnly, queryParse, rootParse, trackTotalHits`

  ### Methods inherited from class fr.gouv.vitam.common.database.parser.request.AbstractParser

  `analyzeOneCommand, analyzeOneFacet, getAdapter, getRootNode, getSource, hasFullTextQuery, parseOrderByFilter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UpdateParserMultiple

    public UpdateParserMultiple()
    Empty constructor

  - ### UpdateParserMultiple

    public UpdateParserMultiple(VarNameAdapter adapter)
    Parameters:
      `adapter` - VarNameAdapter

- ## Method Details

  - ### getNewRequest

    protected RequestMultiple getNewRequest()
    Specified by:
      `getNewRequest` in class `AbstractParser<RequestMultiple>`
    Returns:
      a new Request

  - ### parse

    public void parse(com.fasterxml.jackson.databind.JsonNode request) throws InvalidParseOperationException
    Specified by:
      `parse` in class `AbstractParser<RequestMultiple>`
    Parameters:
      `request` - containing a parsed JSON as { $roots: root, $query : query, $filter : filter, $action : action }
    Throws:
      `InvalidParseOperationException` - if request could not parse to JSON

  - ### actionParse

    protected void actionParse(com.fasterxml.jackson.databind.JsonNode rootNode) throws InvalidParseOperationException
    {$"action" : args, ...}
    Parameters:
      `rootNode` - JsonNode
    Throws:
      `InvalidParseOperationException` - if rootNode could not parse to JSON

  - ### thresholdParse

    protected void thresholdParse(com.fasterxml.jackson.databind.JsonNode rootNode) throws InvalidParseOperationException
    {$"threshold" : arg}
    Parameters:
      `rootNode` - JsonNode
    Throws:
      `InvalidParseOperationException` - if rootNode could not parse to JSON

  - ### setregexParse

    protected void setregexParse(com.fasterxml.jackson.databind.JsonNode rootNode) throws InvalidParseOperationException
    Throws:
      `InvalidParseOperationException`

  - ### getUpdateActionId

    protected static final BuilderToken.UPDATEACTION getUpdateActionId(String actionroot) throws InvalidParseOperationException
    Compute the QUERY from command
    Parameters:
      `actionroot` - String
    Returns:
      the QUERY
    Throws:
      `InvalidParseOperationException` - if actionroot could not parse to JSON

  - ### analyseOneAction

    protected Action analyseOneAction(String refCommand, com.fasterxml.jackson.databind.JsonNode command) throws InvalidParseOperationException
    Throws:
      `InvalidParseOperationException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `RequestParserMultiple`

  - ### getRequest

    public UpdateMultiQuery getRequest()
    Overrides:
      `getRequest` in class `RequestParserMultiple`
    Returns:
      the Request